Name:                jedis
Version:             3.10.0
Release:             1
Summary:             A redis Java client
License:             MIT
URL:                 https://github.com/xetorthio/jedis
Source0:             https://github.com/redis/jedis/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:       maven-local mvn(junit:junit) mvn(org.apache.commons:commons-pool2)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin) mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires:       mvn(org.jacoco:jacoco-maven-plugin)
BuildArch:           noarch
%description
Jedis is a blazingly small and sane Redis java client.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find . -name "*.bat" -delete
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :nexus-staging-maven-plugin
%mvn_file : %{name}

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Tue Jul 30 2024 yaoxin <yao_xin001@hoperun.com> - 3.10.0-1
- Update to 3.10.0
  * Avoid using QUIT command
  * Renew cluster slots strategy update
  * Reduce the verbosity of logs in PooledObjectFactory implementations (#3007)
    Log levels in JedisFactory have been changed from WARN to DEBUG.
  * Fix: return of CLUSTER REPLICAS is Array reply
  * Added aclLogReset() method to support ACL LOG RESET subcommand (#2737)
    This should replace both aclLog(byte[]) and aclLog(String) methods.
  * Support binary version of CLUSTER GETKEYSINSLOT

* Thu Apr 18 2024 Ge Wang <wang__ge@126.com> - 3.6.1-1
- Update to version 3.6.1

* Thu May 6 2021 chengzihan <chengzihan2@huawei.com> - 2.9.0-1
- Upgrade to 2.9.0

* Mon Jul 27 2020 Jeffery.Gao <gaojianxing@huawei.com> - 2.7.2-1
- Package init
